Bug 1305644 - Incorrect renaming handling breaks python-rsa -> python2-rsa upgrades
Incorrect renaming handling breaks python-rsa -> python2-rsa upgrades
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-rsa (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Yohan Graterol
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-08 14:45 EST by Garrett Holmstrom
Modified: 2016-02-28 15:53 EST (History)
2 users (show)

See Also:
Fixed In Version: python-rsa-3.3-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-28 15:53:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garrett Holmstrom 2016-02-08 14:45:07 EST
Description of problem:
The most recent update to python-rsa renamed packages to comply with Fedora's current naming guidelines, but did not handle the rename properly and broke upgrades as described here:

https://bodhi.fedoraproject.org/updates/python-rsa-3.3-3.el6#comment-386120


Version-Release number of selected component (if applicable):
python2-rsa-3.3-3.el6


How reproducible:
Always


Steps to Reproduce:
1. Install an old version of python-rsa
2. Run ``yum upgrade''


Actual results:
python-rsa does not upgrade to the new python2-rsa.


Additional info:
The affected version of the package currently contains the following statement:

    Provides: python-rsa

To handle the upgrade properly you need to add an Obsoletes statement to make yum treat it as an upgrade, and you also need to add a version to the Provides statement to ensure versioned package dependencies continue to be satisfied:

    Provides: python-rsa = %{version}-%{release}
    Obsoletes: python-rsa < 3.3-4

The documentation for that is here:  https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages
Comment 1 Fedora Update System 2016-02-09 05:41:38 EST
python-rsa-3.3-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-68c802bce8
Comment 2 Fedora Update System 2016-02-10 12:20:28 EST
python-rsa-3.3-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-68c802bce8
Comment 3 Fedora Update System 2016-02-28 15:53:56 EST
python-rsa-3.3-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.